Bug 1813515 - [abrt] gnome-shell: cogl_matrix_stack_pop(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: cogl_matrix_stack_pop(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 32
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e00c40b3e2e5071884b080e19fa...
: 1813834 1815030 1815123 1815414 1815949 1815973 1817664 1817698 1817790 1818537 (view as bug list)
Depends On:
Blocks: F32FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2020-03-14 06:02 UTC by Chris Murphy
Modified: 2020-04-06 17:31 UTC (History)
22 users (show)

Fixed In Version: gnome-shell-3.36.1-2.fc32.x86_64
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-06 17:31:06 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (143.83 KB, text/plain)
2020-03-14 06:02 UTC, Chris Murphy
no flags Details
File: core_backtrace (42.55 KB, text/plain)
2020-03-14 06:02 UTC, Chris Murphy
no flags Details
File: cpuinfo (2.12 KB, text/plain)
2020-03-14 06:02 UTC, Chris Murphy
no flags Details
File: dso_list (24.40 KB, text/plain)
2020-03-14 06:02 UTC, Chris Murphy
no flags Details
File: environ (1010 bytes, text/plain)
2020-03-14 06:02 UTC, Chris Murphy
no flags Details
File: exploitable (82 bytes, text/plain)
2020-03-14 06:02 UTC, Chris Murphy
no flags Details
File: limits (1.29 KB, text/plain)
2020-03-14 06:02 UTC, Chris Murphy
no flags Details
File: maps (133.80 KB, text/plain)
2020-03-14 06:02 UTC, Chris Murphy
no flags Details
File: mountinfo (2.63 KB, text/plain)
2020-03-14 06:02 UTC, Chris Murphy
no flags Details
File: open_fds (7.82 KB, text/plain)
2020-03-14 06:02 UTC, Chris Murphy
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2020-03-14 06:02 UTC, Chris Murphy
no flags Details
File: var_log_messages (116 bytes, text/plain)
2020-03-14 06:02 UTC, Chris Murphy
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME gnome-shell issues 2418 0 None None None 2020-03-23 09:34:19 UTC

Description Chris Murphy 2020-03-14 06:02:01 UTC
Description of problem:
Crash soon after login following clean install Fedora-Workstation-Live-x86_64-32_Beta-1.2.iso


Mar 13 23:33:24 fvm.local gnome-shell[1440]: _cogl_clip_stack_pop: assertion 'stack != NULL' failed
Mar 13 23:33:24 fvm.local kernel: show_signal_msg: 86 callbacks suppressed
Mar 13 23:33:24 fvm.local kernel: gnome-shell[1440]: segfault at 8 ip 00007fc10bfc461b sp 00007ffd98e1a970 error 4 in libmutter-cogl-6.so.0.0.0[7fc10bfa3000+54000]
Mar 13 23:33:24 fvm.local kernel: Code: 0f 1e fa 48 85 ff 74 47 41 54 55 53 48 8b 6f 50 48 89 fb 48 85 ed 74 4f 83 7d 08 07 48 89 e8 74 0f 66 0f 1f 44 00 00 48 8b 00 <83> 78 08 07 75 f7 4c 8b 20 4c 89 e7 e8 64 1a fe ff 48 89 ef e8 bc

Version-Release number of selected component:
gnome-shell-3.36.0-3.fc32

Additional info:
reporter:       libreport-2.12.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-shell-wayland.service
cmdline:        /usr/bin/gnome-shell
crash_function: cogl_matrix_stack_pop
executable:     /usr/bin/gnome-shell
journald_cursor: s=9135cb1bd2a147818aa7ab1fc1627d94;i=c14;b=9d30bf49abe24c5cb388c0e69a68da94;m=45a501a9;t=5a0c9ece745bb;x=41a3c75f5123b892
kernel:         5.6.0-0.rc5.git0.2.fc32.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 cogl_matrix_stack_pop at ../cogl/cogl/cogl-matrix-stack.c:395
 #1 cogl_framebuffer_pop_matrix at ../cogl/cogl/cogl-framebuffer.c:1427
 #2 clutter_actor_paint at ../clutter/clutter/clutter-actor.c:4133
 #3 clutter_stage_do_paint_view at ../clutter/clutter/clutter-stage.c:943
 #4 meta_stage_paint_view at ../src/backends/meta-stage.c:221
 #5 clutter_stage_paint_view at ../clutter/clutter/clutter-stage.c:966
 #6 paint_stage at ../clutter/clutter/cogl/clutter-stage-cogl.c:494
 #7 clutter_stage_cogl_redraw_view at ../clutter/clutter/cogl/clutter-stage-cogl.c:865
 #8 clutter_stage_cogl_redraw at ../clutter/clutter/cogl/clutter-stage-cogl.c:990
 #9 clutter_stage_do_redraw at ../clutter/clutter/clutter-stage.c:1418

Comment 1 Chris Murphy 2020-03-14 06:02:04 UTC
Created attachment 1670038 [details]
File: backtrace

Comment 2 Chris Murphy 2020-03-14 06:02:05 UTC
Created attachment 1670039 [details]
File: core_backtrace

Comment 3 Chris Murphy 2020-03-14 06:02:06 UTC
Created attachment 1670040 [details]
File: cpuinfo

Comment 4 Chris Murphy 2020-03-14 06:02:07 UTC
Created attachment 1670041 [details]
File: dso_list

Comment 5 Chris Murphy 2020-03-14 06:02:08 UTC
Created attachment 1670042 [details]
File: environ

Comment 6 Chris Murphy 2020-03-14 06:02:09 UTC
Created attachment 1670043 [details]
File: exploitable

Comment 7 Chris Murphy 2020-03-14 06:02:10 UTC
Created attachment 1670044 [details]
File: limits

Comment 8 Chris Murphy 2020-03-14 06:02:11 UTC
Created attachment 1670045 [details]
File: maps

Comment 9 Chris Murphy 2020-03-14 06:02:12 UTC
Created attachment 1670046 [details]
File: mountinfo

Comment 10 Chris Murphy 2020-03-14 06:02:13 UTC
Created attachment 1670047 [details]
File: open_fds

Comment 11 Chris Murphy 2020-03-14 06:02:13 UTC
Created attachment 1670048 [details]
File: proc_pid_status

Comment 12 Chris Murphy 2020-03-14 06:02:14 UTC
Created attachment 1670049 [details]
File: var_log_messages

Comment 13 djongepier 2020-03-16 09:25:43 UTC
*** Bug 1813834 has been marked as a duplicate of this bug. ***

Comment 14 philippe.alff 2020-03-17 22:08:39 UTC
Similar problem has been detected:

Using the fedora 32 in Gnome boxes, after the initial updates and rebooting, the Gnome shell crashed directly after logging in.

reporter:       libreport-2.12.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-shell-wayland.service
cmdline:        /usr/bin/gnome-shell
crash_function: cogl_matrix_stack_pop
executable:     /usr/bin/gnome-shell
journald_cursor: s=9d3f2013176e4269843ac1e948451b77;i=250e;b=c722f65ca3fd4dc29d440cb2be18c0df;m=110def54;t=5a113aabec245;x=bd31e3d112e2a43c
kernel:         5.6.0-0.rc5.git0.2.fc32.x86_64
package:        gnome-shell-3.36.0-3.fc32
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 bugkrn 2020-03-19 10:50:57 UTC
*** Bug 1815030 has been marked as a duplicate of this bug. ***

Comment 16 Rafael Arcanjo 2020-03-19 14:33:18 UTC
*** Bug 1815123 has been marked as a duplicate of this bug. ***

Comment 17 tj.kaufmann 2020-03-20 08:13:49 UTC
*** Bug 1815414 has been marked as a duplicate of this bug. ***

Comment 18 T7hom 2020-03-21 10:58:57 UTC
Similar problem has been detected:

Running applications: Google Chrome, Discord, Geary, Gnome-Terminal.

I watched a movie on YouTube and installed Spotify in Terminal using flatpak.

reporter:       libreport-2.12.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-shell-wayland.service
cmdline:        /usr/bin/gnome-shell
crash_function: cogl_matrix_stack_pop
executable:     /usr/bin/gnome-shell
journald_cursor: s=cd1d7c3d067746989d3e35251d395278;i=135c;b=ccaf3ee5f9ee489ab5b3a49235bcb869;m=1238fe004;t=5a15a682d8aac;x=b2f7ceffbf925504
kernel:         5.6.0-0.rc5.git0.2.fc32.x86_64
package:        gnome-shell-3.36.0-3.fc32
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 19 Nahuel Gomez Castro 2020-03-22 23:55:00 UTC
*** Bug 1815949 has been marked as a duplicate of this bug. ***

Comment 20 Nahuel Gomez Castro 2020-03-23 03:48:45 UTC
*** Bug 1815973 has been marked as a duplicate of this bug. ***

Comment 21 Jonas Ådahl 2020-03-23 15:27:07 UTC
Does the issue reproduce without any extensions enabled?

Comment 22 Luke Blevins 2020-03-23 15:54:51 UTC
Hello. I helped with collecting information for the upstream bug. This issue impacts a clean, completely-updated Fedora 32 (beta) install.

Comment 23 Nahuel Gomez Castro 2020-03-23 16:16:56 UTC
Hello, apparently this crash occurs when I/O operations are being performed and you open the application drawer. For example: you install a package with dnf and open the app drawer, gnome-shell crashes. You update a Flatpak app and open the app drawer, gnome-shell crashes. You open several programs almost at once and you open the app drawer, gnome-shell crashes.

At least that is what I have been able to observe after experiencing this bug multiple times, I hope it helps.

Comment 24 Gabriel Elyas 2020-03-26 19:03:18 UTC
*** Bug 1817698 has been marked as a duplicate of this bug. ***

Comment 25 delgadoramirezhenryjesus@gmail.com 2020-03-27 01:41:51 UTC
*** Bug 1817790 has been marked as a duplicate of this bug. ***

Comment 26 Jonas Ådahl 2020-03-27 11:13:04 UTC
For anyone who can reproduce this bug at will, could you install the following two scratch builds, reproduce the issue, then attach:

1. The full backtrace of the crash (using "coredumpctl gdb" and "bt full")
2. The output of "journalctl _PID=<pid> > gnome-shell-debug.log" where "<pid>" is replaced with the pid of the crashed process (as logged by coredumpctl).

Note that the result of 2. might be very large. Afterwards, I'd recommend downgrading to the gnome-shell and mutter packages from Fedora proper, as the linked builds produce a lot of debug output.

Comment 27 delgadoramirezhenryjesus@gmail.com 2020-03-29 04:03:14 UTC
*** Bug 1818537 has been marked as a duplicate of this bug. ***

Comment 28 Fedora Blocker Bugs Application 2020-03-30 06:29:25 UTC
Proposed as a Blocker for 32-final by Fedora user jadahl using the blocker tracking app because:

 This bug is the most reoccurring full desktop crash we're seeing at the moment in F32. Upstream is on track to hopefully have this issue resolved shortly.

It has been happening unreliably for most, though reliably for some by simply opening the "Show Applications" view. It does not require any extensions to be reliably reproduced.

Comment 29 Jonas Ådahl 2020-03-30 14:19:50 UTC
A scratch build with a potential fix available here: https://koji.fedoraproject.org/koji/taskinfo?taskID=42872652

Comment 30 Jonas Ådahl 2020-03-30 18:14:57 UTC
*** Bug 1817664 has been marked as a duplicate of this bug. ***

Comment 31 Geoffrey Marr 2020-03-30 19:08:24 UTC
Discussed during the 2020-03-30 blocker review meeting: [0]

The decision to classify this bug as an "AcceptedBlocker" was made as it violates the following criterion:

"All elements of the default panel (or equivalent) configuration in all release-blocking desktops must function correctly in typical use" with reference also to "All known bugs that can cause corruption of user data must be fixed or documented at Common F32 bugs" (as Shell crashes can often cause data loss).

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2020-03-30/f32-blocker-review.2020-03-30-16.00.txt

Comment 32 ricky.tigg 2020-04-01 10:26:15 UTC
Similar problem has been detected:

Steps to reproduce:
1. Open from desktop Show Applications |  Utilities |  System Monitor;
2. Close System Monitor;
3. Open Show Applications .

reporter:       libreport-2.12.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-shell-wayland.service
cmdline:        /usr/bin/gnome-shell
crash_function: cogl_matrix_stack_pop
executable:     /usr/bin/gnome-shell
journald_cursor: s=d32ad52d2e3e43efb7f374e4d01cab84;i=5ea1;b=a13ce481415c4da18096f0b85d3e74d5;m=102c4bdb9;t=5a235b871d6fb;x=ebe67bf360fe245d
kernel:         5.6.0-0.rc5.git0.2.fc32.x86_64
package:        gnome-shell-3.36.0-4.fc32
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 33 Kalev Lember 2020-04-03 21:45:05 UTC
gnome-shell-3.36.1-2.fc32 was part of the 3.36.1 megaupdate: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ed25e0cdcb (already in stable).

I'll move it to ON_QA as I haven't seen anyone confirm the fix. Please test gnome-shell-3.36.1-2.fc32 if you were affected by this, thanks!

Comment 34 Adam Williamson 2020-04-03 21:50:47 UTC
FAF does show occurrences down significantly over the last few days, which tracks:

https://retrace.fedoraproject.org/faf/reports/2847765/

positive confirmation would be good though.

Comment 35 Gabriel Elyas 2020-04-03 22:33:32 UTC
I'm using and testing the gnome-shell-3.36.1-2.fc32 version, and so far I haven't had any breaks or freezes and everything is working perfectly.

Comment 36 Chris Murphy 2020-04-06 17:24:15 UTC
No crash since upgrading to gnome-shell-3.36.1-2.fc32.

Comment 37 Adam Williamson 2020-04-06 17:31:06 UTC
OK, so let's call this fixed. If anyone still hits it with the mega-update, please reopen. (FAF data continues to be down over the last few days).


Note You need to log in before you can comment on or make changes to this bug.